<form [formGroup]="enquiryForm">
  <div class="row">
    <div class="col-md-12">
      <div class="row">
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{'labelName' | translate: lang}}</mat-label>
            <input [readonly]="isNameEditable" required formControlName="name" [maxlength]="enquiryRules.NAME_MAX_LENGTH" autocomplete="off" matInput [placeholder]="'placeholderName' | translate: lang">
            <mat-hint *ngIf="(enquiryForm.controls['name'].invalid && (enquiryForm.controls['name'].dirty || enquiryForm.controls['name'].touched))">
              <mat-error *ngIf="enquiryForm.controls['name'].errors.required">
                  {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="enquiryForm.controls['name'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{enquiryRules.NAME_MIN_LENGTH}}
              </mat-error>
              <mat-error *ngIf="enquiryForm.controls['name'].errors.pattern && enquiryForm.controls['name'].value.length >= enquiryRules.NAME_MIN_LENGTH">
                {{ 'labelName' | translate:lang }} {{'errorAlphabets' | translate: lang}}.
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{'labelEmail' | translate: lang}}</mat-label>
            <input [readonly]="isEmailEditable" required formControlName="email" autocomplete="off" matInput [placeholder]="'placeholderEmail' | translate: lang">
            <mat-hint *ngIf="(enquiryForm.controls['email'].invalid && (enquiryForm.controls['email'].dirty || enquiryForm.controls['email'].touched))">
              <mat-error *ngIf="enquiryForm.controls['email'].errors.required">
                  {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error  *ngIf="enquiryForm.controls['email'].errors.pattern && !enquiryForm.controls['email'].errors.required">
                {{ 'errorValidEmail' | translate: lang}}
               </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{'labelPhone' | translate: lang}}</mat-label>
            <span class="contry-code" matPrefix>{{countryCode}} &nbsp;</span>
            <input [readonly]="isPhoneEditable" required formControlName="phone" autocomplete="off" matInput [placeholder]="patternDetails ? patternDetails.phoneFormat : ''">
            <mat-hint *ngIf="(enquiryForm.controls['phone'].invalid && (enquiryForm.controls['phone'].dirty || enquiryForm.controls['phone'].touched))">
              <mat-error  *ngIf="enquiryForm.controls['phone'].errors.required">
                  {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error  *ngIf="enquiryForm.controls['phone'].errors.pattern">
                {{ 'errorValidPhone' | translate:lang }}{{patternDetails.phoneFormat}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{'labelSubject' | translate: lang}}</mat-label>
            <input required formControlName="subject" autocomplete="off" matInput [maxlength]="enquiryRules.SUBJECT_MAX_LENGTH" [placeholder]="'placeholderSubject' | translate: lang">
            <mat-hint *ngIf="(enquiryForm.controls['subject'].invalid && (enquiryForm.controls['subject'].dirty || enquiryForm.controls['subject'].touched))">
              <mat-error  *ngIf="enquiryForm.controls['subject'].errors.required">
                  {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="enquiryForm.controls['subject'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{enquiryRules.SUBJECT_MIN_LENGTH}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>

        <div class="col-md-12">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{'labelMessage' | translate: lang}}</mat-label>
            <textarea [maxlength]="enquiryRules.MESSAGE_MAX_LENGTH" required formControlName="message" matInput rows="8" cols="40" [placeholder]="'placeholderMessage' | translate: lang"></textarea>
            <mat-hint *ngIf="(enquiryForm.controls['message'].invalid && (enquiryForm.controls['message'].dirty || enquiryForm.controls['message'].touched))">
              <mat-error  *ngIf="enquiryForm.controls['message'].errors.required">
                  {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="enquiryForm.controls['message'].errors.minlength">
                {{'errorMinimumCharacter' | translate: lang}} {{enquiryRules.MESSAGE_MIN_LENGTH}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-12">
          <ngx-recaptcha2 #captchaElem *ngIf="isInBrowser"
            [siteKey]="siteKey"
            [size]="captchaSize"
            [hl]="captchaLanguage"
            [theme]="captchaTheme"
            [type]="captchaType"
            formControlName="isCaptchaVerified">
          </ngx-recaptcha2>
          <mat-hint *ngIf="(enquiryForm.controls['isCaptchaVerified'].invalid && (enquiryForm.controls['isCaptchaVerified'].dirty || enquiryForm.controls['isCaptchaVerified'].touched))">
            <mat-error  *ngIf="enquiryForm.controls['isCaptchaVerified'].errors.required">
                {{'errorRequired' | translate: lang}}
            </mat-error>
          </mat-hint>
        </div>
      </div><br>
      <button type="button" (click)="saveEnquiryFormDetails()" [disabled]="!enquiryForm.valid" mat-raised-button color="primary">{{'buttonSubmit' | translate: lang}}</button>
    </div>
  </div>
</form>